#include "ffirst.h"

// Ignore flags!
int findfirst(char * fname, struct dirdata * ddinfo, int flags) {
#if defined(__GNUC__) || defined(__LINUX__ )
   if ((ddinfo->dir = opendir(fname)) == NULL) return errno;
   else {
      return findnext(ddinfo);
      }
#else
   if ((ddinfo->finfo = opendir(fname)) == NULL) {
      if (errno==0) errno = ENOENT;
      return errno;
      }
   else return 0;
#endif
   }

int findnext(struct dirdata * ddinfo) {
#if defined(__GNUC__) || defined(__LINUX__ )
   if ((ddinfo->finfo = readdir(ddinfo->dir))==NULL) {
      if (errno==0) errno = ENOENT;
      return errno;
      }
#else
   if (readdir(ddinfo->finfo)==NULL) {
      if (errno==0) errno = ENOENT;
      return errno;
      }
#endif
   else return 0;
   }



